Redshop::Engine.routes.draw do
  
  root 'pages#home'

  get 'cart' => 'carts#show'

  namespace :api, defaults: { format: :json } do
    scope :cart do
      put 'add', to: 'carts#add'
      put 'remove', to: 'carts#remove'
      get 'count', to: 'carts#count'
    end
  end
  
end
